<template>
  <div class="w-screen h-screen py-16 bg-gray-800">
    <div class="w-1/2 h-full mx-auto px-8 py-9 bg-gray-500">
      <result-screen :result="result" />

      <div class="flex justify-between">
        <button-operator
          v-for="(operator, index) in operators"
          :key="index"
          :operator="operator"
          @click="onClickOperator"
        />
      </div>

      <div class="flex flex-wrap justify-center">
        <number-pad
          v-for="(number, index) in 10"
          :key="index"
          :number="number"
          @click="onClickNumber"
        />
      </div>
      <button-result @click="onClickResult"/>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      result: '',
      numberOne: '',
      operators: ['C', '+', '-', '*', '/'],
    }
  },

  methods: {
    onClickNumber($event) {
      this.result += $event
    },

    resetCalculator() {
      this.result = ''
    },

    onClickOperator($event) {
      if ($event != 'C') {
        this.operator = $event
        this.numberOne = this.result
      }
      this.resetCalculator()
    },

    onClickResult() {
      let numberTwo = this.result
      this.result = eval(this.numberOne + this.operator + numberTwo)
    }
  }
}
</script>
